<?php

namespace App\Http\Controllers;

use App\Models\Visits;
use App\Models\Products;
use App\Models\User;
use Auth;
use Carbon\Carbon;
use Carbon\CarbonPeriod;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class VisitsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $products =  DB::table('visits')
        ->join('products', 'products.id', '=', 'visits.productid')
        ->select('visits.productid as vs_id', 'visits.created_at as mycreated_at')
        ->where('products.user_id', Auth::user()->id )
        ->groupBy('mycreated_at', 'vs_id', 'ipaddress')
        ->get(); 

        $views =  DB::table('visits')
        ->select(DB::raw('IFNULL(count(ipaddress), 0) as ipaddress,DATE(created_at) as mycreated_at'))
        ->groupBy('mycreated_at', 'ipaddress')
        ->get();

        $vendors = DB::table('visits')
        ->select(DB::raw('IFNULL(count(storeid), 0) as storeid, DATE(created_at) as mycreated_at'))
        ->where('storeid', Auth::user()->id) 
        ->groupBy('mycreated_at', 'storeid', 'ipaddress')
        ->get();

        $now = Carbon::now();
        $monthback = Carbon::now()->subDays(30);
        $period = CarbonPeriod::create($monthback, $now);

        foreach($period as $date){
            $dates[] = $date->format('Y-m-d');
            $storeviews[] = DB::table('visits')
            ->select(DB::raw('IFNULL(count(storeid), 0) as storeid,DATE(created_at) as mycreated_at'))
            ->where('storeid', Auth::user()->id) 
            ->whereDate('created_at',  $date->format('Y-m-d'))
            ->groupBy('mycreated_at', 'storeid', 'ipaddress')
           ->pluck('storeid');
        }
        
        return view('admin.visits.index',compact('products','views','vendors','dates','storeviews'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function saveit(Request $request, $page, $pageid, $productid)
    {
      /*  if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
            $_SERVER['REMOTE_ADDR'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
            $_SERVER['HTTP_CLIENT_IP'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
        }
        $client  = @$_SERVER['HTTP_CLIENT_IP'];
        $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
        $remote  = $_SERVER['REMOTE_ADDR'];
    
        if(filter_var($client, FILTER_VALIDATE_IP)){
            $clientIp = $client;
        }
        elseif(filter_var($forward, FILTER_VALIDATE_IP)){
            $clientIp = $forward;
        }
        else{
            $clientIp = $remote;
        } */
        if(isset($_SERVER['HTTP_X_FORWARDED_FOR']) AND $_SERVER['HTTP_X_FORWARDED_FOR']!='')
    	{
            $clientIp = $_SERVER['HTTP_X_FORWARDED_FOR'];
    	}
    	else if(isset($_SERVER['HTTP_X_REAL_IP']) AND $_SERVER['HTTP_X_REAL_IP']!='')
    	{
            $clientIp = $_SERVER['HTTP_X_REAL_IP'];
    	}
    	else
    	{
            $clientIp= $_SERVER['REMOTE_ADDR'];
    	}
       // dd($_SERVER['REMOTE_ADDR']);
       $visit = new visits();
       $visit->name = $page;
       $visit->storeid = $pageid;
       $visit->productid = $productid;
       $visit->ipaddress = $clientIp;
       $visit->save();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Visits  $visits
     * @return \Illuminate\Http\Response
     */
    public function show(Visits $visits)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Visits  $visits
     * @return \Illuminate\Http\Response
     */
    public function edit(Visits $visits)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Visits  $visits
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Visits $visits)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Visits  $visits
     * @return \Illuminate\Http\Response
     */
    public function destroy(Visits $visits)
    {
        //
    }
}
