<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('sku')->unique();
            $table->integer('qty');
            $table->text('description');
            $table->foreignId('discount_id')->nullable();
            $table->string('sector');
            $table->string('tags');
            $table->text('shipping');
            $table->text('return');
            $table->text('online');
            $table->text('cod');
            $table->foreignId('user_id');
            $table->text('img_photo_path'); 
            $table->text('img2_photo_path')->nullable(); 
            $table->text('img3_photo_path')->nullable(); 
            $table->string('status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('companies');
    }
}
