 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Vendors</h3>
                    <p>Vendor Listings</p>
                </div>
                <div class="header__center">
                    
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
            <section class="ps-items-listing">
                <div class="ps-section__actions">
                <a class="ps-btn success" href="{{ route('add-vendor') }}">
                <i class="icon icon-plus mr-2"></i>New Vendor</a></div>
                
                <div class="ps-section__content">
                    <div class="table-responsive">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Name</th>
                                    <th>Sector</th>
                                    <th>Status</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                             @foreach ($vendors as $vendor)  
                                <tr>
                                    <td>{{$vendor->created_at}}</td>
                                    <td><a href="#"><strong>{{$vendor->name}}</strong></a></td>
                                    <td>
                                        <p class="ps-item-categories"> {{$vendor->sector}}
                                        </p>
                                    </td>
                                    <td><span class="ps-badge success">{{$vendor->status}}</span>
                                    </td>
                                    <td>
                                        <div class="dropdown"><a id="dropdownMenuButton" data-toggle="dropdown" 
                                        aria-haspopup="true" aria-expanded="false">
                                        <i class="icon-ellipsis"></i></a>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                             @if (Auth::user()->usertype == 'admin')
                                              <a class="dropdown-item" href="{{ route('vendor-images', $vendor->id) }}">Change Files</a>
                                            <a class="dropdown-item" href="{{ route('vendor-edit', $vendor->id) }}">Edit</a>
                                            <a class="dropdown-item" href="{{ route('delete.vendor', $vendor->id) }}">Delete</a>
                                            @endif
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                               @endforeach
                            </tbody>
                        </table>
                    </div>
                </div> 
            </section>
        </div>
    </main>
@endsection
