  @extends('layouts.frontend')
@section('content')
  <div class="ps-page--my-account">
        <div class="ps-breadcrumb">
            <div class="container">
                <ul class="breadcrumb">
                    <li><a href="{{ route('welcome') }}">Home</a></li>
                    <li>Register</li>
                </ul>
            </div>
        </div>
        <div class="ps-my-account-2">
            <div class="container">
                <div class="ps-section__wrapper">
                    <div class="ps-section__left">
                        <div  class="ps-form--account ps-tab-root">
                            <ul class="ps-tab-list">
                                <li ><a href="#sign-in">Login</a></li>
                                <li class="active"><a href="#register">Register</a></li>
                            </ul>
                            <div class="ps-tabs">
                                <div class="ps-tab" id="sign-in">
                                    <div class="ps-form__content">
                                        <h5>Log In Your Account</h5>
                                        <x-jet-validation-errors class="alert alert-danger" />
                                      <form method="POST" action="{{ route('login') }}" id="sign-ins">                  
                                      @csrf
                                        @if (session('status'))
                                            <div class="alert alert-danger">
                                                {{ session('status') }}
                                            </div>
                                        @endif
                                        <div class="form-group">
                                            <input class="form-control" name="email" type="text" placeholder="email address" required autocomplete="true">
                                        </div>
                                        <div class="form-group form-forgot">
                                            <input class="form-control" type="password" name="password" required autocomplete="current-password"  placeholder="Password">
                                           @if (Route::has('password.request'))
                                            <a href="{{ route('password.request') }}">Forgot?</a>
                                            @endif
                                        </div>
                                        <div class="form-group">
                                            <div class="ps-checkbox">
                                                <input class="form-control" type="checkbox" id="remember_me" name="remember">
                                                <label for="remember_me">Rememeber me</label>
                                            </div>
                                        </div>
                                        <div class="form-group submit">
                                            <button type="submit" class="ps-btn ps-btn--fullwidth">Login</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            <div class="ps-tab active" id="register">
                                <form  method="POST" action="{{ route('register') }}" id="registers">   
                                 @csrf                                 
                                    <div class="ps-form__content">
                                        <h5>Register An Account</h5>
                                          @if (session('status'))
                                            <div class="alert alert-danger">
                                                {{ session('status') }}
                                            </div>
                                        @endif
                                        <div class="form-group">
                                        <label for="user-type-2">Company Name</label>
                                            <input class="form-control" type="text" name="name" placeholder="company name" required>
                                        </div>
                                        <div class="form-group">
                                        <label for="user-type-2">Email</label>
                                            <input class="form-control" type="email" name="email" placeholder="email address" required autocomplete="current-email">
                                        </div>
                                        <div class="form-group">
                                            <label for="form-control">Sector</label>
                                            <select class="ps-select block mt-1 w-full" title="Parent" id="sector" name="sector" required>
                                                <option value="Arts and Craft">Arts and craft</option>
                                                <option value="Agri-business">Agri-business</option>
                                                <option value="Construction">Construction</option>
                                                <option value="Clothing">Clothing</option>
                                                <option value="Furniture">Furniture</option>
                                                <option value="ICT">ICT</option>
                                                <option value="Packaging">Packaging</option>
                                                <option value="Processed food">Processed food</option>
                                                <option value="Manufacturing">Manufacturing</option>
                                                <option value="Services">Services</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                        <label for="user-type-2">Password</label>
                                            <input class="form-control" id="password" type="password" name="password" required autocomplete="new-password" >
                                        </div>
                                         <div class="form-group">
                                         <label for="user-type-2">Confirm Password</label>
                                            <input class="form-control" id="password_confirmation" type="password" name="password_confirmation" required autocomplete="new-password" >
                                        </div>
                                        <div class="ps-form__decs">
                                            <p>Your personal data will be used to support your experience 
                                            throughout this website, to manage access to your account, 
                                            and for other purposes described in our<a href="#">privacy policy.</a></p>
                                        </div>
                                        <div class="form-group submit">
                                            <button type="submit" class="ps-btn ps-btn--fullwidth">Register</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="ps-section__right">
                        <figure class="ps-section__desc">
                            <figcaption>Sign up today and you will be able to:</figcaption>
                            <p>Shop@ZIm Buyer Protection has you covered from click to delivery. Sign up or sign in and you will be able to:</p>
                            <ul class="ps-list">
                                <li><i class="icon-credit-card"></i><span>SPEED YOUR WAY THROUGH CHECKOUT</span></li>
                                <li><i class="icon-clipboard-check"></i><span>TRACK ZIMBAWEAN VENDORS EASILY</span></li>
                                <li><i class="icon-bag2"></i><span>KEEP A RECORD OF ALL VENDOR CONTACTS</span></li>
                            </ul>
                        </figure>
                        <!--<div class="ps-section__coupon"><span>$25</span>
                            <aside>
                                <h5>A small gift for your first purchase</h5>
                                <p>Martfury give $25 as a small gift for your first purchase. Welcome to Martfury!</p>
                            </aside>
                        </div>-->
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endsection