
<?php $__env->startSection('content'); ?>
 <div class="ps-page--single">
        <div class="ps-breadcrumb">
            <div class="container">
                <ul class="breadcrumb">
                    <li><a href="<?php echo e(route('welcome')); ?>">Home</a></li>
                    <li>Vendor Store</li>
                </ul>
            </div>
        </div>
        <div class="ps-vendor-store">
            <div class="container">
                <div class="ps-section__container">
                    <div class="ps-section__left">
                        <div class="ps-block--vendor">
                            <div class="ps-block__thumbnail">
                            <?php if($vendor->profile_photo_path != "" || $vendor->profile_photo_path != Null): ?> 
                            <img src="<?php echo e(asset("storage/profile-photos/$vendor->profile_photo_path")); ?>" alt="">
                            <?php else: ?>
                             <img src="<?php echo e(asset("storage/profile-photos/default-store-profile.png")); ?>" alt="">
                             <?php endif; ?>
                            </div>
                            <div class="ps-block__container">
                                <div class="ps-block__header">
                                    <h4><?php echo e($vendor->name); ?></h4>
                                    <select class="ps-rating" data-read-only="true">
                                        <option value="1">1</option>
                                        <option value="1">2</option>
                                        <option value="1">3</option>
                                        <option value="1">4</option>
                                        <option value="2">5</option>
                                    </select>
                                    <p><strong>85% Positive</strong> (562 rating)</p>
                                </div><span class="ps-block__divider"></span>
                                <div class="ps-block__content">
                                    <p> <?php echo e($vendor->about); ?></p>
                                    <figure>
                                     <?php if($vendor->facebook != '' || $vendor->website != '' || $vendor->linkedin != '' || $vendor->whatsapp != '' || $vendor->twitter != '' ): ?>
                                    <figcaption>Follow us on social</figcaption>
                                    <ul class="ps-list--social-color"> 
                                        <?php if($vendor->facebook != ''): ?>
                                       <li> <a class="facebook" href="<?php echo e($vendor->facebook); ?>"><i class="fa fa-facebook"></i></a>   
                                        </li>
                                        <?php endif; ?>
                                        <?php if($vendor->twitter != ''): ?>
                                           <li> <a class="twitter" href="<?php echo e($vendor->twitter); ?>"><i class="fa fa-twitter"></i></a>
                                        </li>
                                        <?php endif; ?>
                                        <?php if($vendor->whatsapp != ''): ?>
                                            <li><a class="whatsapp" href="<?php echo e($vendor->whatsapp); ?>"><i class="fa fa-whatsapp"></i></a>
                                        </li>
                                        <?php endif; ?>
                                        <?php if($vendor->linkedin != ''): ?>
                                            <li><a class="linkedin" href="<?php echo e($vendor->linkedin); ?>"><i class="fa fa-linkedin"></i></a>
                                        </li>
                                        <?php endif; ?>
                                       
                                    </ul>
                                    <?php endif; ?>
                                    </figure>
                                </div>
                                <div class="ps-block__footer">
                                <p>
                                <?php if( $vendor->ohours != "" || $vendor->ohours  != Null): ?>
                                   Operating Hours<strong>
                                    <?php echo e($vendor->ohours); ?>

                                    </strong></p>
                                    <?php endif; ?>
                                    <?php if( $vendor->website != "" || $vendor->website  != Null): ?>
                                  <p> Visit our Website<strong>
                                    <a href="<?php echo e($vendor->website); ?>" target=""><?php echo e($vendor->website); ?></a> 
                                    </strong></p>
                                    <?php endif; ?>
                                    <?php if( $vendor->phone != "" || $vendor->phone  != Null): ?>
                                   <p> Call us directly<strong>
                                    (+263) <?php echo e($vendor->phone); ?> 
                                    <br/><br/> <?php echo e($vendor->cell); ?>

                                    </strong></p>
                                    <p>or 
                                    <?php endif; ?>
                                    Download our Company Profile</p>
                                    <a class="ps-btn ps-btn--fullwidth" href="#">Download</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="ps-section__right">
                        <div class="ps-block--vendor-filter">
                            <div class="ps-block__left">
                                <ul>
                                    <li class="active"><a href="#">Products</a></li>
                                    <li><a href="#">Reviews</a></li>
                                </ul>
                            </div>
                            <div class="ps-block__right">
                                <form class="ps-form--search" >
                                    <input class="form-control" type="text"  id="myInput" placeholder="Search in this shop">
                                </form>
                            </div>
                        </div>
                        <div class="ps-vendor-best-seller">    
                        <div class="ps-shopping ps-tab-root">
                            <div class="ps-shopping__header">
                               <p>Seller Products</p>
                                <div class="ps-shopping__actions">
                                    <select class="ps-select" data-placeholder="Sort Items">
                                        <option>Sort by latest</option>
                                        <option>Sort by A - Z</option>
                                        <!--<option>Sort by average rating</option>-->
                                    </select>
                                   
                                </div>
                                
                            </div>
                            <div class="ps-tabs">
                                <div class="ps-tab active" id="tab-1">
                                    <div class="row">
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    
                                        <div class="col-xl-3 col-lg-4 col-md-4 col-sm-6 col-6 stretch-card">
                                            <div class="ps-product">
                                                <div class="ps-product__thumbnail"><a href="<?php echo e(route('product-detail', ["id"=>$product->id])); ?>">
                                                <img src="<?php echo e(asset("storage/img/products/$product->img_photo_path")); ?>" alt=""></a>
                                                    <?php if( $product->discount_id != "" ): ?>
                                                    <div class="ps-product__badge"> <?php echo e($product->discount_id); ?>%</div>
                                                    <?php endif; ?>
                                                    <ul class="ps-product__actions">
                                                        <li><a href="<?php echo e(route('product-detail', ["id"=>$product->id])); ?>" data-toggle="tooltip" data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                                        <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal" data-target="#product<?php echo e($product->id); ?>">
                                                        <i class="icon-eye"></i></a></li>
                                                        <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
                                                        <i class="icon-phone"></i></a></li>
                                                        </ul>
                                                </div>
                                                <div class="ps-product__container">
                                                    <div class="ps-product__content">
                                                    <a class="ps-product__title" href="<?php echo e(route('product-detail', ["id"=>$product->id])); ?>">
                                                     <?php echo e($product->name); ?></a>
                                                        <div class="ps-product__rating">
                                                            <select class="ps-rating" data-read-only="true">
                                                                <option value="1">1</option>
                                                                <option value="1">2</option>
                                                                <option value="1">3</option>
                                                                <option value="1">4</option>
                                                                <option value="2">5</option>
                                                            </select><span>01</span>
                                                        </div>
                                                    </div>
                                                    <div class="ps-product__content hover">
                                                    <a class="ps-product__title" href="<?php echo e(route('product-detail', ["id"=>$product->id])); ?>">
                                                    <?php echo e($product->name); ?>

                                                    </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                         <?php echo $__env->make('layouts.template_parts.product_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                     <?php echo $products->links(); ?>

                                </div>
                                 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
     
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\shopatzim\resources\views/vendor/visit-store.blade.php ENDPATH**/ ?>